OOjs UI: Buttons and button-like things should be keyboard-accessible
Closed, ResolvedPublic

Description

'Cos right now they're not, which is bad and sad.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=65474

bzimport added projects: OOjs-UI, Accessibility.Via ConduitNov 22 2014, 3:06 AM
bzimport set Reference to bz62337.
Jdforrester-WMF created this task.Via LegacyMar 6 2014, 6:15 PM
Jdforrester-WMF added a comment.Via ConduitApr 1 2014, 7:26 PM
  • Bug 58564 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitMay 12 2014, 8:21 PM

Change 132979 had a related patch set uploaded by Jforrester:
Button accessibility

https://gerrit.wikimedia.org/r/132979

gerritbot added a comment.Via ConduitMay 14 2014, 6:46 PM

Change 132979 merged by jenkins-bot:
Button accessibility

https://gerrit.wikimedia.org/r/132979

TheDJ added a comment.Via ConduitMay 19 2014, 8:47 AM

Far from fixed.

oo-ui-tool-link's for help and edit notices, should have tabIndex=0 and role=button to make them a focusable elements and they need labels to describe them (aria-label[ledby]). The page options groups is a total wash in terms of keyboard accessibility.

Jdforrester-WMF added a comment.Via ConduitJun 26 2014, 11:21 PM

I think this is now done given bug 65473's resolution.

Krenair added a comment.Via ConduitJun 27 2014, 10:03 PM

(In reply to Derk-Jan Hartman from comment #4)

oo-ui-tool-link's for help and edit notices, should have tabIndex=0 and
role=button to make them a focusable elements and they need labels to
describe them (aria-label[ledby]). The page options groups is a total wash
in terms of keyboard accessibility.

Do we have all of this then? That's definitely not all covered by bug 65474

Krenair added a comment.Via ConduitJun 30 2014, 6:46 PM

Apparently not.

gerritbot added a comment.Via ConduitJun 30 2014, 9:13 PM

Change 143155 had a related patch set uploaded by Alex Monk:
Add tabindex=0 and role=button to tool links

https://gerrit.wikimedia.org/r/143155

gerritbot added a comment.Via ConduitJul 1 2014, 10:04 PM

Change 143155 merged by jenkins-bot:
Add tabindex=0 and role=button to tool links

https://gerrit.wikimedia.org/r/143155

Krenair added a comment.Via ConduitJul 2 2014, 5:04 PM

(In reply to Derk-Jan Hartman from comment #4)

they need labels to describe them (aria-label[ledby]).

Hey. Could you explain this a bit more please?

Krenair added a comment.Via ConduitJul 24 2014, 9:41 PM

Derk-Jan?

matmarex added a comment.Via ConduitSep 22 2014, 2:35 PM

I think we should close this and open separate bugs for any remaining issues. It seems that the buttons in question (comment 4 and comment 10) are already described by a 'title' attribute, which may not be ideal but is still something. More precise label would probably have to be added in VE, not OOjs UI.

Jdforrester-WMF moved this task to Done on the OOjs-UI workboard.Via WebThu, Mar 26, 9:03 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.